## wbxml2 0.10.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 SET( LIBWBXML_VERSION_MAJOR "0" )
 SET( LIBWBXML_VERSION_MINOR "10" )
-SET( LIBWBXML_VERSION_PATCH "6" )
+SET( LIBWBXML_VERSION_PATCH "7" )
 SET( LIBWBXML_VERSION "${LIBWBXML_VERSION_MAJOR}.${LIBWBXML_VERSION_MINOR}.${LIBWBXML_VERSION_PATCH}" )
 
 # The most recent interface number that this library implements.
@@ -15,7 +15,7 @@
 # UPDATE: last release.
 # UPDATE: Set REVISION to 0 if any interface have been added, removed or
 # UPDATE: changed since the last update.
-SET( LIBWBXML_LIBVERSION_REVISION 15 )
+SET( LIBWBXML_LIBVERSION_REVISION 16 )
 
 # The difference between the newest and the oldest interfaces.
 # UPDATE: If any interface have been added since the last public
@@ -83,6 +83,24 @@
 	OPTION( ENABLE_UNIT_TEST "enable unit tests" ON )
 	INCLUDE( Testing )
 ENDIF(CHECK_FOUND)
+
+# look for getopt implementation in unistd.h
+
+INCLUDE(CheckFunctionExists)
+INCLUDE(CheckIncludeFile)
+
+CHECK_INCLUDE_FILE( "unistd.h" LIBWBXML_TOOLS_UNISTD_H )
+IF( ${LIBWBXML_TOOLS_UNISTD_H} )
+	SET( CMAKE_REQUIRED_INCLUDES ${LIBWBXML_TOOLS_UNISTD_H} )
+	CHECK_FUNCTION_EXISTS( getopt LIBWBXML_POSIX_GETOPT )
+ELSE( ${LIBWBXML_TOOLS_UNISTD_H} )
+	SET( LIBWBXML_POSIX_GETOPT OFF )
+ENDIF( ${LIBWBXML_TOOLS_UNISTD_H} )
+IF( LIBWBXML_POSIX_GETOPT )
+	OPTION( FOUND_POSIX_GETOPT "POSIX getopt" ON )
+ELSE( LIBWBXML_POSIX_GETOPT )
+	OPTION( FOUND_POSIX_GETOPT "POSIX getopt" OFF )
+ENDIF( LIBWBXML_POSIX_GETOPT )
 
 # look for the commands required for testing
 
@@ -179,6 +197,7 @@
 INCLUDE( ShowStatus )
 MESSAGE( STATUS "==================================================" )
 SHOW_STATUS( WBXML_LIB_VERBOSE "verbose mode\t\t\t" )
+SHOW_STATUS( FOUND_POSIX_GETOPT "POSIX getopt\t\t\t" )
 SHOW_STATUS( ENABLE_UNIT_TEST "unit tests\t\t\t" )
 SHOW_STATUS( ENABLE_PERL "perl binary (test generated XML)" )
 SHOW_STATUS( ENABLE_DIFF "diff binary (test generated XML)" )
