=== tools/CMakeLists.txt ===
LINK_DIRECTORIES( ${EXPAT_LIBRARY_DIRS} )

INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${EXPAT_INCLUDE_DIRS} )

if(COMMAND cmake_policy)
	cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

CONFIGURE_FILE( "config.h.cmake" "${CMAKE_CURRENT_BINARY_DIR}/config.h")

IF( LIBWBXML_POSIX_GETOPT )
	SET( ATTGETOPT "" )
ELSE( LIBWBXML_POSIX_GETOPT )
	SET( ATTGETOPT "attgetopt.c" )
ENDIF( LIBWBXML_POSIX_GETOPT )

ADD_EXECUTABLE( wbxml2xml wbxml2xml_tool.c ${ATTGETOPT} )
	TARGET_LINK_LIBRARIES( wbxml2xml wbxml2 )
	INSTALL( TARGETS wbxml2xml DESTINATION ${LIBWBXML_BIN_DIR} )

ADD_EXECUTABLE( xml2wbxml xml2wbxml_tool.c ${ATTGETOPT} )
	TARGET_LINK_LIBRARIES( xml2wbxml wbxml2 )
	INSTALL( TARGETS xml2wbxml DESTINATION ${LIBWBXML_BIN_DIR} )
