## wbxml2 0.11.7+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,29 @@
 PROJECT( libwbxml C )
 
 SET( LIBWBXML_VERSION_MAJOR "0" )
-SET( LIBWBXML_VERSION_MINOR "10" )
+SET( LIBWBXML_VERSION_MINOR "11" )
 SET( LIBWBXML_VERSION_PATCH "7" )
+IF( LIBWBXML_VERSION_BETA )
+    IF( LIBWBXML_VERSION_BETA VERSION_GREATER 90 )
+        MATH( EXPR LIBWBXML_VERSION_MINOR "${LIBWBXML_VERSION_MINOR} - 1" )
+        SET( LIBWBXML_VERSION_PATCH ${LIBWBXML_VERSION_BETA})
+    ELSE( LIBWBXML_VERSION_BETA VERSION_GREATER 90 )
+        SET( LIBWBXML_VERSION_PATCH "beta${LIBWBXML_VERSION_BETA}" )
+    ENDIF( LIBWBXML_VERSION_BETA VERSION_GREATER 90 )
+ENDIF( LIBWBXML_VERSION_BETA )
 SET( LIBWBXML_VERSION "${LIBWBXML_VERSION_MAJOR}.${LIBWBXML_VERSION_MINOR}.${LIBWBXML_VERSION_PATCH}" )
 
 # The most recent interface number that this library implements.
 #UPDATE: If any interface have been added, removed or changed since
 #UPDATE: the last update increment CURRENT.
-SET( LIBWBXML_LIBVERSION_CURRENT 0 )
+SET( LIBWBXML_LIBVERSION_CURRENT 1 )
 
 # The implementation number of the CURRENT interface.
 # UPDATE: Increment only if the library code has changed at all, since
 # UPDATE: last release.
 # UPDATE: Set REVISION to 0 if any interface have been added, removed or
 # UPDATE: changed since the last update.
-SET( LIBWBXML_LIBVERSION_REVISION 16 )
+SET( LIBWBXML_LIBVERSION_REVISION 7 )
 
 # The difference between the newest and the oldest interfaces.
 # UPDATE: If any interface have been added since the last public
@@ -28,6 +36,20 @@
 MATH( EXPR LIBWBXML_LIBVERSION_SOVERSION "${LIBWBXML_LIBVERSION_CURRENT} - ${LIBWBXML_LIBVERSION_AGE}" )
 
 SET( LIBWBXML_LIBVERSION_VERSION "${LIBWBXML_LIBVERSION_SOVERSION}.${LIBWBXML_LIBVERSION_AGE}.${LIBWBXML_LIBVERSION_REVISION}" )
+
+# this hack protects the SO versioning of the library
+# it makes the exposing of internal header files possible and safe
+# usual library version: 2.6.1
+# special library version: 20601.0.0
+IF( WBXML_INSTALL_FULL_HEADERS )
+
+    # calculate big major version
+    MATH( EXPR LIBWBXML_LIBVERSION_SOVERSION "10000 * ${LIBWBXML_LIBVERSION_SOVERSION} + 100 * ${LIBWBXML_LIBVERSION_AGE} + ${LIBWBXML_LIBVERSION_REVISION}" )
+
+    # build a x.0.0 version
+    SET( LIBWBXML_LIBVERSION_VERSION "${LIBWBXML_LIBVERSION_SOVERSION}.0.0" )
+
+ENDIF( WBXML_INSTALL_FULL_HEADERS )
 
 CMAKE_MINIMUM_REQUIRED(VERSION 2.4)
 
@@ -45,7 +67,7 @@
 #MESSAGE(STATUS "CMAKE_MODULE_PATH: ${CMAKE_MODULE_PATH}" )
 
 SET( LIBWBXML_LIBRARIES_DIR "${LIB_INSTALL_DIR}" CACHE PATH "wbxml library location" )
-SET( LIBWBXML_INCLUDE_DIR "${INCLUDE_INSTALL_DIR}" CACHE PATH "wbxml headers location" )
+SET( LIBWBXML_INCLUDE_DIR "${INCLUDE_INSTALL_DIR}/libwbxml-${LIBWBXML_LIBVERSION_SOVERSION}.${LIBWBXML_LIBVERSION_AGE}" CACHE PATH "libwbxml headers location" )
 SET( LIBWBXML_BIN_DIR "${BIN_INSTALL_DIR}" CACHE PATH "wbxml binaries location" )
 SET( LIBWBXML_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share" CACHE PATH "wbxml data location" )
 SET( LIBWBXML_EXEC_INSTALL_DIR "${BIN_INSTALL_DIR}" CACHE PATH "wbxml binary location" )
@@ -74,6 +96,7 @@
 
 FIND_PACKAGE( Expat REQUIRED )
 FIND_PACKAGE( Check )
+FIND_PACKAGE( Iconv )
 
 IF( EXPAT_FOUND )
     SET( HAVE_EXPAT 1 )
@@ -83,6 +106,12 @@
 	OPTION( ENABLE_UNIT_TEST "enable unit tests" ON )
 	INCLUDE( Testing )
 ENDIF(CHECK_FOUND)
+
+SET( WBXML_SUPPORT_ICONV OFF )
+IF( ICONV_FOUND )
+    SET( HAVE_ICONV 1 )
+    SET( WBXML_SUPPORT_ICONV ON )
+ENDIF( ICONV_FOUND )
 
 # look for getopt implementation in unistd.h
 
@@ -119,6 +148,8 @@
 	SET( ENABLE_DIFF OFF )
 ENDIF( DIFF_PROGRAM )
 
+OPTION( BUILD_SHARED_LIBS "Build wbxml as shared library" ON )
+OPTION( BUILD_STATIC_LIBS "Build wbxml as static library" OFF )
 OPTION( WBXML_LIB_VERBOSE "verbose mode" OFF )
 OPTION( WBXML_ENCODER_USE_STRTBL "enable string tables" ON )
 OPTION( WBXML_SUPPORT_WML "enable WML support" ON )
@@ -133,6 +164,8 @@
 OPTION( WBXML_SUPPORT_SYNCML "enable SYNCML support" ON )
 OPTION( WBXML_SUPPORT_WV "enable WV support" ON )
 OPTION( WBXML_SUPPORT_AIRSYNC "enable AIRSYNC support" ON )
+OPTION( WBXML_SUPPORT_CONML "enable Nokia ConML support" ON )
+OPTION( WBXML_INSTALL_FULL_HEADERS "install internal headers" OFF )
 
 SET( PACKAGE "libwbxml" )
 SET( PACKAGE_BUGREPORT " " )
@@ -153,8 +186,7 @@
 
 ADD_SUBDIRECTORY( src )
 ADD_SUBDIRECTORY( tools )
-# no tests available
-# ADD_SUBDIRECTORY( tests )
+ADD_SUBDIRECTORY( cmake )
 
 MARK_AS_ADVANCED( CLEAR BUILD_DOCUMENTATION )
 #IF ( BUILD_DOCUMENTATION )
@@ -178,13 +210,11 @@
 #ENDIF ( BUILD_DOCUMENTATION )
 OPTION( ENABLE_INSTALL_DOC "install documentation" ON )
 IF( ENABLE_INSTALL_DOC )
-	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/AUTHORS )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/BUGS )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/ChangeLog )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/COPYING )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/GNU-LGPL )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/INSTALL )
-	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/NEWS )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/README )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/References )
 	ADD_DOCUMENTATION( TEXT FILE ${CMAKE_SOURCE_DIR}/THANKS )
@@ -214,8 +244,11 @@
 SHOW_STATUS( WBXML_SUPPORT_SYNCML "enable SYNCML support\t" )
 SHOW_STATUS( WBXML_SUPPORT_WV "enable WV support\t\t" )
 SHOW_STATUS( WBXML_SUPPORT_AIRSYNC "enable AIRSYNC support\t" )
+SHOW_STATUS( WBXML_SUPPORT_CONML "enable Nokia ConML support\t" )
 SHOW_STATUS( BUILD_DOCUMENTATION "build dynamic documentation\t" )
+SHOW_STATUS( WBXML_SUPPORT_ICONV "enable iconv support\t\t" )
 SHOW_STATUS( ENABLE_INSTALL_DOC "install documentation\t" )
+SHOW_STATUS( WBXML_INSTALL_FULL_HEADERS "install internal headers\t" )
 
 # fatal error detection
 IF ( FATAL_ERROR_EXPAT )
@@ -234,37 +267,13 @@
 	SET( LIBWBXML_VERSION "${LIBWBXML_VERSION}-RC${RELEASE_CANDIDATE}" )
 ENDIF( RELEASE_CANDIDATE )
 
+find_program(CCACHE_FOUND ccache)
+if(CCACHE_FOUND)
+    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
+    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
+endif(CCACHE_FOUND)
+
 # ADD_SUBDIRECTORY( wbxmlTestSuite )
 
 SET( CPACK_GENERATOR "TGZ;TBZ2" ) # This line is need for a CMake (Version 2.4.7) Bug - Fixed in CVS 
 SET( CPACK_SOURCE_GENERATOR "TGZ;TBZ2") 
-SET( CPACK_SOURCE_PACKAGE_FILE_NAME "${PROJECT_NAME}-${LIBWBXML_VERSION}" ) 
-SET( CPACK_SET_DESTDIR ON )
-INCLUDE( CPack )
-
-### CTest ########################################
-
-ENABLE_TESTING()
-CONFIGURE_FILE( "tests/launchTests.sh" "${CMAKE_CURRENT_BINARY_DIR}/launchTests.sh")
-CONFIGURE_FILE( "tests/normalize_xml.pl" "${CMAKE_CURRENT_BINARY_DIR}/normalize_xml.pl" @ONLY)
-SET( airsync_tests 3 )
-SET( ddf_tests 7 )
-# 2009-Jan-19 bellmich
-# All DRMREL 1.0 tests are switched off.
-# The background is the extremely bad specification.
-# DRMREL 1.0 hardcodes the XML namespace translation.
-# I never saw such a broken XML design before.
-#
-#SET( drmrel_tests  3 )
-SET( emn_tests    17 )
-SET( ota_tests     3 )
-SET( prov_tests    8 )
-SET( si_tests     25 )
-SET( sl_tests     13 )
-SET( syncml_tests 14 )
-SET( wv_tests    116 )
-FOREACH( TESTDIR airsync ddf emn ota prov si sl syncml wv )
-	FOREACH( ITEM RANGE 1 ${${TESTDIR}_tests} )
-		ADD_TEST( "${TESTDIR}_${ITEM}" launchTests.sh "${CMAKE_SOURCE_DIR}/tests" "${TESTDIR}" ${ITEM} )
-	ENDFOREACH( ITEM RANGE 1 ${${TESTDIR}_tests} )
-ENDFOREACH( TESTDIR airsync ddf emn ota prov si sl syncml wv )
