=== debian/changelog ===
wbxml2 (0.11.7+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 30 Aug 2021 22:19:04 -0400

wbxml2 (0.11.7+dfsg-1~exp2) experimental; urgency=medium

  * QA upload.
  * Rebuild after Debian 11 release.
  * Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Aug 2021 22:39:50 -0400

wbxml2 (0.11.7+dfsg-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #698762)
    + Bump SONAME: 0 -> 1.
    - Remove bundled binaries: macosx/ and win32/ subdir.
  * Set maintainer to Debian QA Group.
  * Modernize packaging:
    + Use debhelper-compat v13. (Closes: #965870)
    + Bump Standards-Version to 4.5.1.
    + Migrate buildsystem from cdbs to dh.
    + Use new "3.0 (quilt)" format.
    - Drop old -dbg package. (Closes: #676947)
  * debian/control: Point to the new project homepage.
  * debian/rules: Enable full hardening.
  * debian/copyright: Rewrite with machine-readable format.
  * debian/patches/0001: Add patch to force using GNUInstallDirs.
  * debian/watch: Monitor upstream releases.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Apr 2021 01:04:36 -0400

wbxml2 (0.10.7-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/system-getopt.patch: Removed, applied upstream.
  * debian/control (Standards-Version): Bumped to 3.8.3.
  * debian/control (libwbxml2-0-dbg/Section): Set to debug.

 -- Michael Banck <mbanck@debian.org>  Sat, 16 Jan 2010 20:25:45 +0100

wbxml2 (0.10.6-4) unstable; urgency=low

  * debian/patches/system-getopt.patch: Updated with new version from
    unstable.

 -- Michael Banck <mbanck@debian.org>  Tue, 12 May 2009 00:41:16 +0200

wbxml2 (0.10.6-3) unstable; urgency=low

  * debian/patches/system-getopt.patch: New patch, taken from upstream.
  * debian/patches/optopt-rename.patch: Removed, no longer needed.

 -- Michael Banck <mbanck@debian.org>  Mon, 11 May 2009 16:52:37 +0200

wbxml2 (0.10.6-2) unstable; urgency=low

  * debian/control (libwbxml2-dev/Depends): Added ${misc:Depends}.
  * debian/control (libwbxml2-0-dbg/Depends): Likewise.
  * debian/patches/optopt-rename.patch: New patch, addresses FTBFS on
    mips/mipsel.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 May 2009 17:20:43 +0200

wbxml2 (0.10.6-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated download location.
  * debian/control (Homepage): Updated.

 -- Michael Banck <mbanck@debian.org>  Wed, 29 Apr 2009 21:39:18 +0200

wbxml2 (0.10.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Banck <mbanck@debian.org>  Mon, 09 Mar 2009 01:51:10 +0100

wbxml2 (0.10.1-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01-anonymous-support-and-misc-fixes.patch: Removed, no
    longer needed.
  * debian/patches/02-namespaces.patch: Likewise.
  * debian/patches/04_saxlike_entity_parsing.patch: Likewise.
  * debian/patches/05-syncml-fixes.patch: Likewise.
  * debian/patches/06-no-install-docs.patch: Likewise.
  * debian/patches/07-current_attr_null.patch: Likewise.
  * debian/patches/08-maxsize-translation-table.patch: Likewise.
  * debian/patches/09-devinf-doctype.patch: Likewise.
  * debian/patches/10-fix-wbxml-public-ids.patch: Likewise.
  * debian/control (Build-Depends): Added cmake and check, removed libtool and
    automake1.9.
  * debian/libwbxml2-dev.install: Drop static library and libtool helper file.
  * debian/rules (DEB_MAKE_CHECK_TARGET): New variable.
  * debian/rules (DEB_DH_MAKESHLIBS_ARGS_libwbxml2-0): Likewise.
  * debian/rules: Removed autotools.mk, added cmake.mk.
  * debian/rules (post-patches, clean): Removed.

 -- Michael Banck <mbanck@debian.org>  Tue, 13 Jan 2009 09:34:52 +0100

wbxml2 (0.9.2-7) unstable; urgency=high

  * Urgency `high' due to RC bug fix.
  * debian/patches/09-devinf-doctype.patch: New patch, no longer hardcodes the
    Syncml version in the device information document, by Michael Bell;
    closes: #506740.
  * debian/patches/10-fix-wbxml-public-ids.patch: New patch, swaps the
    WBXML_PUBLIC_ID_SYNCML_METINF12 and WBXML_PUBLIC_ID_SYNCML_DEVINF12
    values to be in line with the OMNA standard; closes: #507689.

 -- Michael Banck <mbanck@debian.org>  Thu, 04 Dec 2008 13:42:44 +0100

wbxml2 (0.9.2-6) unstable; urgency=low

  * debian/patches/bug_310622_message_5.mbox: File removed.
  * debian/patches/current_attr_null.patch: Renamed to ...
  * debian/patches/06-no-install-docs.patch: ... this.
  * debian/patches/no-install-docs.patch: Renamed to ...
  * debian/patches/07-current_attr_null.patch: ... this.
  * debian/patches/08-maxsize-translation-table.patch: New patch, renames
    Size tag to MaxSize for DS 1.2, by Michael Bell; closes: #497709.

 -- Michael Banck <mbanck@debian.org>  Thu, 04 Sep 2008 00:23:28 +0200

wbxml2 (0.9.2-5) unstable; urgency=low

  * New maintainer.
    + debian/control (Maintainer): Set to myself.
  * debian/control (Standards-Version): Bumped to 3.8.0.
  * debian/control (libwbxml2-utils/Description): Make the short
    description a bit more readable; closes: #493436.
  * debian/patches/05-syncml-fixes.patch: New patch, fixes a couple of
    issues with SyncML, by Michael Bell; closes: #487217.

 -- Michael Banck <mbanck@debian.org>  Wed, 06 Aug 2008 18:00:34 +0200

wbxml2 (0.9.2-4) unstable; urgency=low

  * Fix segault in wbxml_encoder.c, closes: #310621
    - Thanks Stijn van Drongelen
  * Add Sax like entity parsing, closes: #461618
  * The above changes library behaviour, bump version dependency
    - Thanks Stijn van Drongelen
  * Fix version in .pc ile, closes: #422645
    - Thanks Jonny Lamb
  * From synce project, Thanks Jonny Lamb
    - Miscallaneus build fixes and anonymous document support
  	- Namespaces support
  * Update to match policy 3.7.3
    - Source-Version -> binary:Version
    - Add Homepage:
  * move -dev and -dbg to libdevel and -dbg priority extra


