=== debian/control ===
Source: wbxml2
Priority: optional
Section: libs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 check,
 cmake,
 debhelper-compat (= 13),
 libexpat1-dev,
 libpopt-dev,
 pkg-config,
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/libwbxml/libwbxml
Vcs-Git: https://salsa.debian.org/debian/wbxml2.git
Vcs-Browser: https://salsa.debian.org/debian/wbxml2

Package: libwbxml2-1
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: WBXML parsing and encoding library
 The WBXML Library (aka libwbxml) contains a library and its associated
 tools to Parse, Encode and Handle WBXML documents.  The WBXML format
 is a binary representation of XML, defined by the Wap Forum, and used
 to reduce bandwidth in mobile communications.
 .
 This package contains the dynamic library needed by applications
 using libwbxml2.

Package: libwbxml2-dev
Section: libdevel
Architecture: any
Depends:
 libexpat1-dev,
 libpopt-dev,
 libwbxml2-1 (= ${binary:Version}),
 zlib1g-dev,
 ${misc:Depends},
Description: WBXML library development file
 The WBXML Library (aka libwbxml) contains a library and its associated
 tools to Parse, Encode and Handle WBXML documents.  The WBXML format
 is a binary representation of XML, defined by the Wap Forum, and used
 to reduce bandwidth in mobile communications.
 .
 Install this package if you wish to develop your own programs using
 WBXML.

Package: libwbxml2-utils
Section: text
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Binary XML utilities
 The WBXML Library (aka libwbxml) contains a library and its associated
 tools to Parse, Encode and Handle WBXML documents.  The WBXML format
 is a binary representation of XML, defined by the Wap Forum, and used
 to reduce bandwidth in mobile communications.
 .
 This package contains wbxml2xml and xml2wbxml utils to convert xml
 files to wbxml and back.
