=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flameshot-$1.tar.gz%, dversionmangle=s/\+dfsg\d*$//" \
 https://github.com/libwbxml/libwbxml/releases \
 (?:.*?/)?libwbxml-v?(\d[\d.]*)\.tar\.gz debian uupdate
