## wbxml2 0.11.8%2Bdfsg

=== debian/changelog ===
wbxml2 (0.11.8+dfsg-3build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:54:47 +0200

wbxml2 (0.11.8+dfsg-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: Add dh_auto_configure override to pass
    -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON.
  * debian/control: Update Standards-Version to 4.6.1.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Sun, 13 Nov 2022 12:43:28 -0800

wbxml2 (0.11.8+dfsg-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + libwbxml2-1: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 02 Nov 2022 21:37:33 +0000

wbxml2 (0.11.8+dfsg-1) unstable; urgency=medium

  * QA upload.
  * New upstream release 0.11.8.
    + Fix compatibility with libexpat 2.4.5+. (Closes: #1006337)
  * debian/watch: Fix typo.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Mar 2022 14:26:58 -0400
