=== debian/changelog ===
wbxml2 (0.11.8+dfsg-4) unstable; urgency=medium

  * debian/control:
    + Take over maintainership (with UBports Team as co-uploaders). (Closes:
      #852499).
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/watch:
    + Update file, use <project>/tags URL path instead of <project>/release
      URL path.
  * debian/rules:
    + Drop dbgsym migration dh_strip override (originally added before Debian
      bullseye release).
    + Add get-orig-source target, for maintainer's convenience.
  * debian/copyright:
    + Use komma between YEAR and COPYRIGHTHOLDER.
    + Move debian/* copyrights to the end of the list, add myself as copyright
      holder.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Apr 2024 11:50:39 +0200
