=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: wbxml2
 Priority: optional
 Section: libs
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Mike Gabriel <sunweaver@debian.org>
+Uploaders: Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends:
  check,
  cmake,
  debhelper-compat (= 13),
  libexpat1-dev,
  libpopt-dev,
- pkg-config,
+ pkgconf,
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/libwbxml/libwbxml
 Vcs-Git: https://salsa.debian.org/debian/wbxml2.git
 Vcs-Browser: https://salsa.debian.org/debian/wbxml2
@@ -21,6 +22,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Multi-Arch: same
 Description: WBXML parsing and encoding library
  The WBXML Library (aka libwbxml) contains a library and its associated
  tools to Parse, Encode and Handle WBXML documents.  The WBXML format
