=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 %:
 	dh $@
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libwbxml2-0-dbg (<< 0.10.7-2~)'
-
 override_dh_auto_configure:
 	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
+
+get-orig-source:
+	uscan --noconf --force-download --rename --download-current-version --repack --destdir=..
