## wbxml2 0.11.10%2Bdfsg

=== debian/changelog ===
wbxml2 (0.11.10+dfsg-2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 22:06:05 +0100

wbxml2 (0.11.10+dfsg-2) unstable; urgency=medium

  * debian/.gitlab-ci.yml:
    + Add salsa.debian.org CI configuration.
  * debian/libwbxml2-private-dev.install:
    + Adjust private headers installation path to API version bump in wbxml2
      upstream (1.0 -> 1.1).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 18 Aug 2024 23:54:38 +0200

wbxml2 (0.11.10+dfsg-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/copyright:
    + Fine-tune and remove cmake/modules/*.cmake duplicate entry.

  [ Guido Berhoerster ]
  * debian/patches:
    + Refresh patches.
  * debian/libwbxml2-dev.install:
    + Package cmake files.
  * debian/copyright:
    + Drop non-existent files.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Aug 2024 16:25:10 +0200

wbxml2 (0.11.8+dfsg-5) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Add subpackage providing private symbols from the wbxml2 library.
  * Add script private symbol maintenance.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 May 2024 00:27:48 +0200
